import axios from "axios"

//자동으로 localstorage에 login이 생성됨
export function handleLogin(userId) {
    localStorage.setItem('user', userId)
}
export async function handleLogout() {
    localStorage.removeItem('user')
    await axios.get('/auth/logout')
    //login페이지로 이동
    window.location.href='/login'
}

//login이 됬는지 안됬는지 따질때 쓰임
export function isAuthenticated() {
    const userId = localStorage.getItem('user')
    if (userId) {
        return userId
    } else {
        return false
    }
}